#include "lcd_dip122.h"

void lcd_clearpixel (uint8_t x, uint8_t y)
{
  uint8_t page;
  uint8_t bit;
  uint8_t display_data;
  
  page = (MAX_Y-y)/8;
  bit = (MAX_Y-y)%8;

  set_page (page);
  set_column (x);

  if (x <= MAX_COL) {
    read_display_data1(); /* dummy */
    display_data = read_display_data1 ();
    set_column (x);
    display_data = display_data & ~(1 << (bit+1));
    write_display_data1 (display_data);
  }
  else {
    read_display_data2(); /* dummy */
    display_data = read_display_data2 ();
    set_column (x);
    display_data = display_data & ~(1 << (bit+1));
    write_display_data2 (display_data);
  }
}
